package com.yesheng.web;

import cn.dev33.satoken.annotation.SaCheckLogin;
import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.dev33.satoken.stp.StpUtil;
import cn.dev33.satoken.util.SaResult;
import com.yesheng.anno.RequiresPermissionsDesc;
import com.yesheng.db.entity.SysUser;
import com.yesheng.service.UserService;
import com.yesheng.util.MD5Util;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("user")
public class UserController {


    @Autowired
    private UserService userService;


    @RequestMapping("login")
    public SaResult doLogin(String email, String password) {
        SysUser user = userService.findUserByAccount(email);
        if (null == user || user.getIsDelete()) {
            return SaResult.error("账号不存在");
        }
        String s = MD5Util.stringToMD5(password);
        if (!s.equals(user.getPassword())) {
            return SaResult.error("账号或密码错误");
        }
        StpUtil.login(user.getId(), true);
        return SaResult.ok("登录成功");
    }

    @RequestMapping("logout")
    @SaCheckLogin
    public SaResult logout() {
        StpUtil.logout();
        return SaResult.ok("退出成功");
    }

    @RequestMapping("info")
    @SaCheckPermission("user:info")
    @RequiresPermissionsDesc(menu = {"用户中心", "用户管理"}, value = "查看用户")
    public SaResult info() {
        Map<String, Object> result = new HashMap<>();
        result.put("userId", StpUtil.getLoginId());
        result.put("hasLogin", StpUtil.isLogin());
        result.put("roleList", StpUtil.getRoleList());
        result.put("permissionList", StpUtil.getPermissionList());
        return SaResult.data(result);
    }

}
