package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 巡检工单
 */
@Data
@TableName(value = "pi_order")
public class PiOrder {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 工单编号
     */
    @TableField(value = "order_no")
    private String orderNo;

    /**
     * 服务id
     */
    @TableField(value = "service_id")
    private Integer serviceId;

    /**
     * 服务名称
     */
    @TableField(value = "service_name")
    private String serviceName;

    @TableField(value = "service_cycle_id")
    private Integer serviceCycleId;

    /**
     * 巡检任务名称
     */
    @TableField(value = "service_cycle_name")
    private String serviceCycleName;

    /**
     * 1待处理，2处理中，3待审核，4已完成，5已关闭
     */
    @TableField(value = "`state`")
    private Integer state;

    /**
     * 位置id
     */
    @TableField(value = "location_id")
    private Integer locationId;

    @TableField(value = "location_name")
    private String locationName;

    /**
     * 供应商id
     */
    @TableField(value = "supplier_id")
    private Integer supplierId;

    @TableField(value = "supplier_name")
    private String supplierName;

    /**
     * 处理人
     */
    @TableField(value = "handler_user_id")
    private Integer handlerUserId;

    /**
     * 关联文档用户id
     */
    @TableField(value = "relation_doc_user_id")
    private Integer relationDocUserId;

    /**
     * 巡检开始时间
     */
    @TableField(value = "start_time")
    private LocalDateTime startTime;

    /**
     * 巡检完成时间
     */
    @TableField(value = "complete_time")
    private LocalDateTime completeTime;

    /**
     * 巡检建议
     */
    @TableField(value = "suggest")
    private String suggest;

    /**
     * 巡检报告
     */
    @TableField(value = "report_doc_url")
    private String reportDocUrl;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;
}