package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 巡检工单处理记录（和流程有关）
 */
@Data
@TableName(value = "pi_order_action")
public class PiOrderAction {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    @TableField(value = "order_id")
    private Integer orderId;

    /**
     * 1开始巡检，2提交巡检，3完成巡检，4审核
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 当前工单状态
     */
    @TableField(value = "`state`")
    private Integer state;

    @TableField(value = "state_name")
    private String stateName;

    /**
     * 操作时长
     */
    @TableField(value = "oper_duration")
    private Integer operDuration;

    /**
     * 审核意见
     */
    @TableField(value = "`comment`")
    private String comment;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "create_user_name")
    private String createUserName;
}