package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 巡检工单资产设备填写明细
 */
@Data
@TableName(value = "pi_order_assets")
public class PiOrderAssets {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    @TableField(value = "order_id")
    private Integer orderId;

    /**
     * 巡检服务id
     */
    @TableField(value = "service_id")
    private Integer serviceId;

    /**
     * 规则
     */
    @TableField(value = "rule_id")
    private Integer ruleId;

    /**
     * 巡检项配置大类id
     */
    @TableField(value = "rule_item_id")
    private Integer ruleItemId;

    /**
     * 巡检项配置大类名称
     */
    @TableField(value = "rule_item_name")
    private String ruleItemName;

    /**
     * 巡检项配置详情id
     */
    @TableField(value = "rule_item_detail_id")
    private Integer ruleItemDetailId;

    @TableField(value = "rule_item_detail_name")
    private String ruleItemDetailName;

    /**
     * 1正常，2异常
     */
    @TableField(value = "`state`")
    private Integer state;

    /**
     * 备注
     */
    @TableField(value = "record")
    private String record;

    /**
     * 照片
     */
    @TableField(value = "img")
    private String img;

    /**
     * 1删除
     */
    @TableField(value = "deleted")
    private Boolean deleted;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}