package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 巡检项大类明细
 */
@Data
@TableName(value = "pi_rule_item_detail")
public class PiRuleItemDetail {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 关联巡检配置id
     */
    @TableField(value = "rule_id")
    private Integer ruleId;

    /**
     * 关联巡检大类id
     */
    @TableField(value = "rule_item_id")
    private Integer ruleItemId;

    /**
     * 巡检项名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 1必填，0非必填
     */
    @TableField(value = "`state`")
    private Integer state;

    /**
     * 1必填，0非必填
     */
    @TableField(value = "record")
    private Integer record;

    /**
     * 数据类型：1数字，2文本
     */
    @TableField(value = "record_type")
    private Integer recordType;

    /**
     * 单位 %
     */
    @TableField(value = "record_unit")
    private String recordUnit;

    /**
     * 1必填，0非必填
     */
    @TableField(value = "img")
    private Integer img;

    @TableField(value = "remark")
    private String remark;

    @TableField(value = "deleted")
    private Boolean deleted;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;
}