package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 巡检服务基础配置
 */
@Data
@TableName(value = "pi_service")
public class PiService {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 1项目运维服务、2其他运维服务
     */
    @TableField(value = "service_scene")
    private Integer serviceScene;

    /**
     * 服务名称
     */
    @TableField(value = "service_name")
    private String serviceName;

    /**
     * 服务编号
     */
    @TableField(value = "service_no")
    private String serviceNo;

    /**
     * 服务类型：1.IT、2.物业、3.后勤、4.安防
     */
    @TableField(value = "service_type")
    private Integer serviceType;

    /**
     * 服务有效期开始
     */
    @TableField(value = "service_valid_start")
    private LocalDate serviceValidStart;

    /**
     * 服务有效期截止
     */
    @TableField(value = "service_valid_end")
    private LocalDate serviceValidEnd;

    /**
     * 文档编辑人
     */
    @TableField(value = "doc_oper_user_id")
    private Integer docOperUserId;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}