package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 巡检服务周期计划
 */
@Data
@TableName(value = "pi_service_cycle")
public class PiServiceCycle {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 关联巡检服务基础id
     */
    @TableField(value = "service_id")
    private Integer serviceId;

    /**
     * 计划名称
     */
    @TableField(value = "cycle_name")
    private String cycleName;

    /**
     * 位置id
     */
    @TableField(value = "location_id")
    private Integer locationId;

    /**
     * 巡检模板id
     */
    @TableField(value = "rule_id")
    private String ruleId;

    /**
     * 巡检流程id
     */
    @TableField(value = "process_id")
    private Integer processId;

    /**
     * 是否周期任务1是，0否
     */
    @TableField(value = "is_cycle")
    private Integer isCycle;

    /**
     * 周期开始日期
     */
    @TableField(value = "cycle_start_date")
    private LocalDate cycleStartDate;

    /**
     * 周期结束日期
     */
    @TableField(value = "cycle_end_date")
    private LocalDate cycleEndDate;

    /**
     * 频次：1日，2周，3月
     */
    @TableField(value = "cycle_type")
    private Integer cycleType;

    /**
     * 是否排除节假日1是
     */
    @TableField(value = "exclude_holiday")
    private Integer excludeHoliday;

    /**
     * 指定时间：周期是周一到周日，月是1到31
     */
    @TableField(value = "cycle_appoint")
    private String cycleAppoint;

    /**
     * 指定时间小时，00:00
     */
    @TableField(value = "cycle_appoint_time")
    private String cycleAppointTime;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}