package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 资产
 */
@Data
@TableName(value = "rs_assets")
public class RsAssets {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 资产编号
     */
    @TableField(value = "assets_no")
    private Integer assetsNo;

    /**
     * 资产名称
     */
    @TableField(value = "assets_name")
    private String assetsName;

    /**
     * 资产分类id
     */
    @TableField(value = "category_id")
    private Integer categoryId;

    /**
     * 位置id
     */
    @TableField(value = "location_id")
    private Integer locationId;

    /**
     * 品牌
     */
    @TableField(value = "brand")
    private String brand;

    /**
     * 规格型号
     */
    @TableField(value = "specification")
    private String specification;

    /**
     * 归属人
     */
    @TableField(value = "belong_user_id")
    private Integer belongUserId;

    /**
     * 资产图片
     */
    @TableField(value = "img")
    private String img;

    /**
     * 备注，用途
     */
    @TableField(value = "content")
    private String content;

    /**
     * 采购日期
     */
    @TableField(value = "purchase_date")
    private LocalDate purchaseDate;

    /**
     * 出厂日期
     */
    @TableField(value = "release_date")
    private LocalDate releaseDate;

    /**
     * 报废日期
     */
    @TableField(value = "scrap_date")
    private LocalDate scrapDate;

    /**
     * 报废截止日期
     */
    @TableField(value = "scrap_date_end")
    private LocalDate scrapDateEnd;

    /**
     * 上级
     */
    @TableField(value = "parent_id")
    private Integer parentId;

    /**
     * 等级初始1级
     */
    @TableField(value = "`level`")
    private Integer level;

    /**
     * 1删除
     */
    @TableField(value = "deleted")
    private Boolean deleted;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;
}