package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 资产分类
 */
@Data
@TableName(value = "rs_category")
public class RsCategory {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 分类名称
     */
    @TableField(value = "category_name")
    private String categoryName;

    /**
     * 多级组合上级>当前>下级
     */
    @TableField(value = "category_content")
    private String categoryContent;

    /**
     * 分类描述
     */
    @TableField(value = "`comment`")
    private String comment;

    /**
     * 上级
     */
    @TableField(value = "parent_id")
    private Integer parentId;

    /**
     * 等级初始1级
     */
    @TableField(value = "`level`")
    private String level;

    /**
     * 1删除
     */
    @TableField(value = "deleted")
    private Boolean deleted;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;
}