package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 位置
 */
@Data
@TableName(value = "rs_location")
public class RsLocation {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 位置名称
     */
    @TableField(value = "location_name")
    private String locationName;

    /**
     * 多级组合上级>当前>下级
     */
    @TableField(value = "location_content")
    private String locationContent;

    /**
     * 区域编码数组
     */
    @TableField(value = "region_code")
    private String regionCode;

    @TableField(value = "city")
    private String city;

    @TableField(value = "province")
    private String province;

    @TableField(value = "district")
    private String district;

    /**
     * 详细地址
     */
    @TableField(value = "location_detail")
    private String locationDetail;

    /**
     * 上级
     */
    @TableField(value = "parent_id")
    private Integer parentId;

    /**
     * 等级初始1级
     */
    @TableField(value = "`level`")
    private String level;

    /**
     * 1删除
     */
    @TableField(value = "deleted")
    private Boolean deleted;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    @TableField(value = "create_user_id")
    private Integer createUserId;

    @TableField(value = "update_user_id")
    private Integer updateUserId;
}