package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

@Data
@TableName(value = "sys_company")
public class SysCompany {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业名称
     */
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 企业图标
     */
    @TableField(value = "company_icon")
    private String companyIcon;

    /**
     * 企业法人
     */
    @TableField(value = "legal_person")
    private String legalPerson;

    /**
     * 法人电话
     */
    @TableField(value = "legal_person_tel")
    private String legalPersonTel;

    /**
     * 企业电话或座机
     */
    @TableField(value = "company_tel")
    private String companyTel;

    /**
     * 企业规模人数
     */
    @TableField(value = "company_person_num")
    private Integer companyPersonNum;

    /**
     * 所在城市
     */
    @TableField(value = "city")
    private String city;

    /**
     * 是否生效 1是 0否
     */
    @TableField(value = "is_valid")
    private Boolean isValid;

    /**
     * 有效期开始
     */
    @TableField(value = "valid_time_start")
    private LocalDateTime validTimeStart;

    /**
     * 有效期结束
     */
    @TableField(value = "valid_time_end")
    private LocalDateTime validTimeEnd;

    /**
     * 创建的资源上限(巡检项的最大生效个数)
     */
    @TableField(value = "resource_limit")
    private Integer resourceLimit;

    /**
     * 详细地址
     */
    @TableField(value = "address")
    private String address;

    /**
     * 企业状态 1存续 2过期
     */
    @TableField(value = "company_state")
    private Integer companyState;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}