package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 部门表
 */
@Data
@TableName(value = "sys_department")
public class SysDepartment {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    /**
     * 部门名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 1部门，2供应商
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 部门等级
     */
    @TableField(value = "`level`")
    private Integer level;

    /**
     * 企业id
     */
    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 上级部门
     */
    @TableField(value = "parent_id")
    private Integer parentId;

    /**
     * 上级部门名称
     */
    @TableField(value = "parent_name")
    private Integer parentName;

    /**
     * 部门描述
     */
    @TableField(value = "describe_str")
    private String describeStr;

    /**
     * 排序
     */
    @TableField(value = "sort")
    private Integer sort;

    /**
     * 是否已删除 1是 0否
     */
    @TableField(value = "is_delete")
    private Boolean isDelete;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private Integer createUserId;

    /**
     * 更新人
     */
    @TableField(value = "update_user_id")
    private Integer updateUserId;
}