package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 部门用户关联表
 */
@Data
@TableName(value = "sys_department_user")
public class SysDepartmentUser {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 部门id
     */
    @TableField(value = "department_id")
    private Integer departmentId;

    /**
     * 用户id
     */
    @TableField(value = "user_id")
    private Integer userId;

    /**
     * 状态 1在职 2离职
     */
    @TableField(value = "`state`")
    private Integer state;

    /**
     * 离职时间
     */
    @TableField(value = "leave_time")
    private LocalDateTime leaveTime;

    /**
     * 是否已删除 1是 0否
     */
    @TableField(value = "is_delete")
    private Boolean isDelete;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}