package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 操作日志表
 */
@Data
@TableName(value = "sys_log")
public class SysLog {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    /**
     * 管理员
     */
    @TableField(value = "`admin`")
    private String admin;

    /**
     * 管理员地址
     */
    @TableField(value = "ip")
    private String ip;

    /**
     * 操作分类
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 操作动作
     */
    @TableField(value = "`action`")
    private String action;

    /**
     * 操作状态
     */
    @TableField(value = "`status`")
    private Boolean status;

    /**
     * 操作结果，或者成功消息，或者失败消息
     */
    @TableField(value = "`result`")
    private String result;

    /**
     * 补充信息
     */
    @TableField(value = "`comment`")
    private String comment;

    /**
     * 创建时间
     */
    @TableField(value = "add_time")
    private LocalDateTime addTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    /**
     * 逻辑删除
     */
    @TableField(value = "deleted")
    private Boolean deleted;
}