package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 系统消息
 */
@Data
@TableName(value = "sys_message")
public class SysMessage {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 标题
     */
    @TableField(value = "title")
    private String title;

    /**
     * 内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 1审批，2处理
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 1已读，2未读
     */
    @TableField(value = "`state`")
    private Integer state;

    /**
     * 读取时间
     */
    @TableField(value = "read_time")
    private LocalDateTime readTime;

    /**
     * 关联工单编号
     */
    @TableField(value = "relation_no")
    private String relationNo;

    /**
     * 关联用户id
     */
    @TableField(value = "user_id")
    private Integer userId;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}