package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 文件存储表
 */
@Data
@TableName(value = "sys_storage")
public class SysStorage {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    /**
     * 文件的唯一索引
     */
    @TableField(value = "`key`")
    private String key;

    /**
     * 存储id
     */
    @TableField(value = "oss_id")
    private String ossId;

    /**
     * 文件名
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 文件类型
     */
    @TableField(value = "`type`")
    private String type;

    /**
     * 文件大小
     */
    @TableField(value = "`size`")
    private Integer size;

    /**
     * 文件访问链接
     */
    @TableField(value = "url")
    private String url;

    /**
     * 创建时间
     */
    @TableField(value = "add_time")
    private LocalDateTime addTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    /**
     * 逻辑删除
     */
    @TableField(value = "deleted")
    private Boolean deleted;
}