package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 列表查询自定义列配置
 */
@Data
@TableName(value = "sys_table_config")
public class SysTableConfig {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    @TableField(value = "user_id")
    private Integer userId;

    /**
     * 查询列表名称
     */
    @TableField(value = "`table_name`")
    private String tableName;

    /**
     * 列，多个逗号分隔
     */
    @TableField(value = "column_field")
    private String columnField;

    /**
     * 列名，多个逗号分隔
     */
    @TableField(value = "column_field_name")
    private String columnFieldName;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    @TableField(value = "deleted")
    private Byte deleted;
}