package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 导入导出任务
 */
@Data
@TableName(value = "sys_task")
public class SysTask {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 任务名称
     */
    @TableField(value = "task_name")
    private String taskName;

    /**
     * 1导入，2导出
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 1发起操作，2进行中，3成功，4失败
     */
    @TableField(value = "`state`")
    private Integer state;

    /**
     * 所属模块
     */
    @TableField(value = "of_module")
    private String ofModule;

    /**
     * 请求路径
     */
    @TableField(value = "req_sys_url")
    private String reqSysUrl;

    /**
     * 请求参数
     */
    @TableField(value = "req_sys_parm")
    private String reqSysParm;

    /**
     * 完成时间
     */
    @TableField(value = "complete_time")
    private LocalDateTime completeTime;

    /**
     * 导入文件地址
     */
    @TableField(value = "import_url")
    private String importUrl;

    /**
     * 成功下载地址
     */
    @TableField(value = "down_success_url")
    private String downSuccessUrl;

    /**
     * 下载失败文件信息
     */
    @TableField(value = "down_fail_url")
    private String downFailUrl;

    /**
     * 成功数量
     */
    @TableField(value = "success_number")
    private Integer successNumber;

    /**
     * 失败数量
     */
    @TableField(value = "fail_number")
    private Integer failNumber;

    /**
     * 失败详情
     */
    @TableField(value = "fail_msg")
    private String failMsg;

    /**
     * 关联用户id
     */
    @TableField(value = "user_id")
    private Integer userId;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}