package com.yesheng.db.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 用户表
 */
@Data
@TableName(value = "sys_user")
public class SysUser {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "company_id")
    private Integer companyId;

    /**
     * 联系邮箱
     */
    @TableField(value = "email")
    private String email;

    /**
     * 姓名
     */
    @TableField(value = "user_name")
    private String userName;

    /**
     * 头像
     */
    @TableField(value = "head_img")
    private String headImg;

    /**
     * 用户密码,数字+密码,不可有中文
     */
    @TableField(value = "`password`")
    private String password;

    /**
     * 用户手机号
     */
    @TableField(value = "user_tel")
    private String userTel;

    /**
     * 用户姓名
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 性别 1男 2女 3保密
     */
    @TableField(value = "sex")
    private Integer sex;

    /**
     * 类型 0超级管理员 1系统管理员 2企业管理员 3普通用户 4外部人员
     */
    @TableField(value = "user_type")
    private Integer userType;

    /**
     * 是否已删除 1是 0否
     */
    @TableField(value = "is_delete")
    private Boolean isDelete;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private Integer createUserId;

    /**
     * 更新人
     */
    @TableField(value = "update_user_id")
    private Integer updateUserId;
}